/* General */

*, *:before, *:after{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: 'Nunito', sans-serif;
}

body{
	width: 100%;
	height: 100vh;
	display: flex;
	justify-content: center;
	align-items: center;
	background: #643E46;
	font-family: 'Nunito', sans-serif;
}

img {
	max-width: 100%;
	max-height: 100%;
} 

ul {
	list-style-type: none;
}

h2{
	width: 100%;
	font-size: 30px;
	text-align: center;
}

h3{
	padding-top: 40px;
}

/* Classes */
.cont{
	padding-left: 40px;
	overflow: hidden;
	position: relative;
	width: 900px;
	height: 550px;
	background: #EDF2F4;
	box-shadow: 0 19px 38px rgba(0, 0, 0, 0.30), 0 15px 12px rgba(0, 0, 0, 0.22);
}

.about-me{
	padding-top: 65px;
	-webkit-transition-timing-function:ease-out;
	transition-timing-function:ease-out;
}

.profile-circle {
	background-size: cover !important;
	background-position: center center;
	background-repeat: no-repeat;
	position: relative;
	height: 200px;
	width: 200px;
	margin: 0 auto;
	margin-bottom: 30px;
	-webkit-border-radius: 50%;
	-moz-border-radius: 50%;
	-ms-border-radius: 50%;
	border-radius: 50%;
}

.name {
	font-family: "Kaushan Script", cursive;
	margin-bottom: 10px;
	font-size: 30px;
	line-height: 1.3;
	font-weight: 300;
	text-align: center;
	-webkit-transform: rotate(-5deg);
	-moz-transform: rotate(-5deg);
	-ms-transform: rotate(-5deg);
	-o-transform: rotate(-5deg);
	transform: rotate(-5deg);
}

.sub{
	text-align: center;
}

.info li .first-block {
	display: inline-block;
	float: left;
	font-weight: bold;
}

.info li .second-block {
	display: inline-block;
}

.sub-cont{
	overflow: hidden;
	position: absolute;
	left: 640px;
	top: 0;
	width: 900px;
	height: 100%;
	padding-left: 260px;
	background: #fff;
	-webkit-transition: -webkit-transform 1.2s ease-in-out;
	transition: -webkit-transform 1.2s ease-in-out;
	transition: transform 1.2s ease-in-out;
}

.img{
	overflow: hidden;
	z-index: 2;
	position: absolute;
	left: 0;
	top: 0;
	width: 260px;
	height: 100%;
	padding-top: 360px;
}

.img:before{
	content: '';
	position: absolute;
	right: 0;
	top: 0;
	width: 900px;
	height: 100%;
	background-image: url(../images/bg.png);
	background-size: cover;
	transition: -webkit-transform 1.2s ease-in-out;
	transition: transform 1.2s ease-in-out, -webkit-transform 1.2s ease-in-out;
}

.img:after{
	content: '';
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background: rgba(0,0,0,0.3);
}

.img-text{
	z-index: 2;
	position: absolute;
	left: 0;
	top: 50px;
	width: 100%;
	padding: 0 20px;
	text-align: center;
	color: #fff;
	-webkit-transition:-webkit-transform 1.2s ease-in-out;
	transition: -webkit-transform 1.2s ease-in-out;
	transition: transform 1.2s ease-in-out, -webkit-transform 1.2s ease-in-out;
}

.img-text h2{
	margin-bottom: 10px;
	font-weight: normal;
}

.img-text p{
	font-size: 14px;
	line-height: 1.5;
}

.img-text.m-in{
	-webkit-transform:translateX(-520px);
	transform:translateX(-520px);
}

.img-btn{
	overflow: hidden;
	z-index: 2;
	position: relative;
	width: 100px;
	height: 36px;
	margin: 0 auto;
	background: transparent;
	color: #fff;
	text-transform: uppercase;
	font-size: 15px;
	cursor: pointer;
}

.img-btn:after{
	content: '';
	z-index: 2;
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	border: 2px solid #fff;
	border-radius: 30px;
}

.img-btn span{
	position: absolute;
	left: 0;
	top: 0;
	display: -webkit-box;
	display: flex;
	-webkit-box-pack:center;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 100%;
	-webkit-transition:-webkit-transform 1.2s;
	transition: -webkit-transform 1.2s;
	transition: transform 1.2s;
	transition: transform 1.2s, -webkit-transform 1.2s;;
}

.img-btn span.m-in{
	-webkit-transform:translateY(-72px);
	transform:translateY(-72px);
}

.others{
	-webkit-transform:translate3d(-900px, 0, 0);
	transform:translate3d(-900px, 0, 0);
}

.animate-box:hover .overlay {
	opacity: 1;
}

.image {
	background-size: cover;
	background-position: center center;
	background-repeat: no-repeat;
	position: relative;
	height: 180px;
	width: 180px;
	display: table;
	overflow: hidden;
	margin: 0 auto;
	margin-bottom: 30px;
	-webkit-border-radius: 50%;
	-moz-border-radius: 50%;
	-ms-border-radius: 50%;
	border-radius: 50%;
}

.overlay {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	height: 180px;
	width: 180px;
	opacity: 0;
	transition: .5s ease;
	background-color: #FF8E8E;
	margin: 0 auto;
	margin-bottom: 30px;
	-webkit-border-radius: 50%;
	-moz-border-radius: 50%;
	-ms-border-radius: 50%;
	border-radius: 50%;
}

.text {
	color: #fff;
	font-size: 20px;
	position: absolute;
	top: 45%;
	left: 50%;
	-webkit-transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
	text-align: center;
	font-family: "Kaushan Script", cursive;
}

/* Others */

.cont .others{
	-webkit-transform:translate3d(0, 0, 0);
	transform:translate3d(0, 0, 0);
}

.cont.s-signup .sub-cont{
	-webkit-transform:translate3d(-640px, 0, 0);
	transform:translate3d(-640px, 0, 0);
}

.cont.s-signup .img:before{
	-webkit-transform:translate3d(640px, 0, 0);
	transform:translate3d(640px, 0, 0);
}

.cont.s-signup .img-text.m-up{
	-webkit-transform:translateX(520px);
	transform:translateX(520px);
}

.cont.s-signup .img-text.m-in{
	-webkit-transform:translateX(0);
	transform:translateX(0);
}

.cont.s-signup .about-me{
	-webkit-transition-timing-function:ease-in-out;
	transition-timing-function:ease-in-out;
	-webkit-transition-duration:1.2s;
	transition-duration:1.2s; 
	-webkit-transform:translate3d(640px, 0, 0);
	transform:translate3d(640px, 0, 0);
}

.cont.s-signup .img-btn span.m-in{
	-webkit-transform:translateY(0);
	transform:translateY(0);
}

.cont.s-signup .img-btn span.m-up{
	-webkit-transform:translateY(72px);
	transform:translateY(72px);
}









